import * as Cesium from '@taotieh/cesium_extend';
var ViewPoint = /** @class */ (function () {
    function ViewPoint() {
        this._createdAt = new Date();
        this.name = '未命名视点';
        this.position = Cesium.Cartesian3.ZERO.clone();
        this.direction = Cesium.Cartesian3.ZERO.clone();
        this.up = Cesium.Cartesian3.ZERO.clone();
    }
    return ViewPoint;
}());
export default ViewPoint;
